<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Grid Layout</title>

    <!-- Bootstrap CDN CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

    <!-- External CSS -->
    <link rel="stylesheet" href="styles/index.css">
</head>
<body>
    <!-- navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="#">Batch 131</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Link</a>
            </li>
        </div>
    </nav>
    <!-- /navbar -->

    <div class="container-fluid bg-primary view-height">
        <div class="row bg-secondary row-height">
            <div class="col-1 bg-warning col-height border"></div>
            <div class="col-1 bg-warning col-height border"></div>
            <div class="col-1 bg-warning col-height border"></div>
        </div>
        <div class="row border row-height">
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
            <div class="col-1 border border-warning"></div>
        </div>

        <div class="row row-height border border-danger">
            <!-- col-xl-12 will only take effect on the extra large screen sizes -->
            <div class="col-xl-12 col-md-6 border border-dark"></div>
        </div>
    </div>

    <!-- Bootstrap CDN JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
</body>
</html>